/* Import these variables as per theme */
:root {
  /* variables */
  --buttonPrimaryBg: linear-gradient(180deg, #ef5443 0%, #f26a48 100%);
  --primaryColor: #2a55e5;
  --accentTextColor: #2873f0;
  --primaryColor-10: #2873f01a;
  --primaryTitleColor: #001c3d;
  --secondaryTitle: #ef5443;
  --secondaryColor: #053c6d;
  --button-bg: #ffc200;
  --linkColor: #003b6e;
  --radioBorder: 1px solid rgba(49, 68, 81, 0.54);
  --inputFocus: #e8b78c;
  --font-color: #030303;
  --font-color-80: rgb(3 3 3 / 80%);
  --font-color-60: rgb(3 3 3 / 60%);
  --font-color-40: rgb(3 3 3 / 40%);
  --font-color-20: rgb(3 3 3 / 20%);
  --border-color: #314451;
  --border-color-80: rgb(49 68 81 / 80%);
  --border-color-60: rgb(49 68 81 / 60%);
  --border-color-40: rgb(49 68 81 / 40%);
  --border-color-20: rgb(49 68 81 / 20%);
  --white: #ffffff;
  --primary-bg: #2873f0;
  --secondary-bg: #f7f8fa;

  /* font-sizes */
  --fn-xxxs: 9px;
  --fn-xxs: 10px;
  --fn-xs: 11px;
  --fn-small: 12px;
  --fn-medium: 14px;
  --fn-medium-2: 13px;
  --fn-default: 16px;
  --fn-large: 18px;
  --fn-title: 24px;
  --fn-title-2: 20px;
  --fn-display-1: 56px;
  --fn-display-2: 48px;
  --fn-display-3: 40px;
  --fn-display-4: 30px;
}

/* common homepage css */
.home-container {
  height: 100%;
  background-color: #f1f3f6;
}
body a:-webkit-any-link {
  text-decoration: unset;
}
@media only screen and (max-width: 820px) {
  .mobile-hide {
    display: none;
  }
}
/* customized scrollbar for desktop*/
.desktop-view .fk-controls::-webkit-scrollbar {
  width: 52px; /* width of the entire scrollbar */
}
.desktop-view .fk-controls::-webkit-scrollbar-track {
  background: var(--white); /* color of the tracking area */
}
.desktop-view .fk-controls::-webkit-scrollbar-thumb {
  background-color: var(--primaryColor); /* color of the scroll thumb */
  border-radius: 20px; /* roundness of the scroll thumb */
  border: 3px solid var(--secondary-bg); /* creates padding around scroll thumb */
}

.fk-main-container {
  width: 100%;
  margin: 0px auto;
  display: flex;
  align-items: center;
  flex-direction: column;
}
.fk-title-section {
  text-align: center;
}
.fk-title {
  color: var(--font-color-80);
  font-size: var(--fn-display-2);
  font-weight: bold;
  line-height: 60px;
  text-align: center;
  font-family: Merriweather;
  margin: 24px 0;
}
.fk-title-sub {
  color: var(--font-color-60);
  font-size: var(--fn-title-2);
  line-height: 28px;
}
.fk-controls-bg {
  height: 282px;
  width: 1280px;
  border-radius: 27px;
  background-color: var(--white);
  box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 0.08),
    0 8px 16px 0 rgba(107, 122, 254, 0.08);
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 30px;
}
.fk-controls-box {
  width: 33%;
  margin: 35px;
  overflow: hidden;
}
.fk-controls-title {
  color: var(--primaryTitleColor);
  font-size: var(--fn-default);
  font-weight: bold;
  line-height: 17px;
  text-align: center;
  padding: 15px;
  text-transform: uppercase;
}
.fk-controls {
  border-radius: 20px;
  background-color: var(--secondary-bg);
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  overflow-y: hidden;
  overflow-x: auto;
}
.fk-controls a,
.fk-controls .a-no-link {
  min-width: 33%;
  margin: 16px auto;
}
.fk-controls .a-no-link {
  opacity: 0.5;
}
.fk-control-item {
  display: flex;
  align-items: center;
  flex-direction: column;
}
.fk-item-ic-box {
  height: 64px;
  width: 64px;
  border-radius: 16px;
  background-color: var(--white);
  box-shadow: 0 4px 24px -8px rgba(138, 144, 181, 0.46);
  display: flex;
  align-items: center;
  justify-content: center;
}
.fk-item-ic-name {
  color: var(--font-color-80);
  font-size: var(--fn-medium);
  font-weight: 600;
  line-height: 20px;
  text-align: center;
  padding: 5px 0;
}
a:-webkit-any-link .fk-item-ic-name {
  text-decoration: none;
}
